Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class ScatterboxTableCellEditor

    java.lang.Object
      edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetCellEditor
          edu.stanford.smi.protegex.widget.scatterbox.ScatterboxTableCellEditor

All Implemented Interfaces:
  CellEditor, TableCellEditor

    public class ScatterboxTableCellEditor

extends AbstractTableWidgetCellEditor

Description of the class

Author:
  William Grosso

Constructor Summary
`ScatterboxTableCellEditor(ScatterboxWidget widget, ScatterboxWidgetState widgetState, JTable underlyingTable, Project project, KBQueryUtils queryUtilsObject)`

Method Summary
`Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)` value must be an AbstractTableWidgetValue

Methods inherited from class edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetCellEditor
`addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing, updateKBIfNecessary`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterboxTableCellEditor

    public ScatterboxTableCellEditor(ScatterboxWidget widget,
                                     ScatterboxWidgetState widgetState,
                                     JTable underlyingTable,
                                     Project project,
                                     KBQueryUtils queryUtilsObject)

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Description copied from class: `AbstractTableWidgetCellEditor`
  value must be an AbstractTableWidgetValue

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`
  Overrides:
    `getTableCellEditorComponent` in class `AbstractTableWidgetCellEditor`
  Parameters:
    `table` - Description of Parameter
    `value` - Description of Parameter
    `isSelected` - Description of Parameter
    `row` - Description of Parameter
    `column` - Description of Parameter
  Returns:
    The TableCellEditorComponent value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request